org.richfaces.json

## Class XML

- java.lang.Object
- - org.richfaces.json.XML

-     public final class XML
      extends Object

  This provides static methods to convert an XML text into a JSONObject, and to covert a JSONObject into an XML text.
  Version:
    2
  Author:
    JSON.org

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Character` | `AMP` The Character '&'.
    `static Character` | `APOS` The Character '''.
    `static Character` | `BANG` The Character '!'.
    `static Character` | `EQ` The Character '='.
    `static Character` | `GT` The Character '>'.
    `static Character` | `LT` The Character '<'.
    `static Character` | `QUEST` The Character '?'.
    `static Character` | `QUOT` The Character '"'.
    `static Character` | `SLASH` The Character '/'.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `escape(String string)` Replace special characters with XML escapes:
    `static JSONObject` | `toJSONObject(String string)` Convert a well-formed (but not necessarily valid) XML string into a JSONObject.
    `static String` | `toString(Object o)` Convert a JSONObject into a well-formed, element-normal XML string.
    `static String` | `toString(Object o, String tagName)` Convert a JSONObject into a well-formed, element-normal XML string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AMP

          public static final Character AMP

      The Character '&'.

    - #### APOS

          public static final Character APOS

      The Character '''.

    - #### BANG

          public static final Character BANG

      The Character '!'.

    - #### EQ

          public static final Character EQ

      The Character '='.

    - #### GT

          public static final Character GT

      The Character '>'.

    - #### LT

          public static final Character LT

      The Character '<'.

    - #### QUEST

          public static final Character QUEST

      The Character '?'.

    - #### QUOT

          public static final Character QUOT

      The Character '"'.

    - #### SLASH

          public static final Character SLASH

      The Character '/'.

  - ### Method Detail

    - #### escape

          public static String escape(String string)

      Replace special characters with XML escapes:

           & (ampersand) is replaced by &amp;
           < (less than) is replaced by &lt;
           > (greater than) is replaced by &gt;
           " (double quote) is replaced by &quot;

      Parameters:
        `string` - The string to be escaped.
      Returns:
        The escaped string.

    - #### toJSONObject

          public static JSONObject toJSONObject(String string)
                                         throws JSONException

      Convert a well-formed (but not necessarily valid) XML string into a JSONObject. Some information may be lost in this transformation because JSON is a data format and XML is a document format. XML uses elements, attributes, and content text, while JSON uses unordered collections of name/value pairs and arrays of values. JSON does not does not like to distinguish between elements and attributes. Sequences of similar elements are represented as JSONArrays. Content text may be placed in a "content" member. Comments, prologs, DTDs, and `<[ [ ]]>` are ignored.
      Parameters:
        `string` - The source string.
      Returns:
        A JSONObject containing the structured data from the XML string.
      Throws:
        `JSONException`

    - #### toString

          public static String toString(Object o)
                                 throws JSONException

      Convert a JSONObject into a well-formed, element-normal XML string.
      Parameters:
        `o` - A JSONObject.
      Returns:
        A string.
      Throws:
        `JSONException`

    - #### toString

          public static String toString(Object o,
                                        String tagName)
                                 throws JSONException

      Convert a JSONObject into a well-formed, element-normal XML string.
      Parameters:
        `o` - A JSONObject.
        `tagName` - The optional name of the enclosing tag.
      Returns:
        A string.
      Throws:
        `JSONException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.